Subject: bug#6532: closed (Re: bug#6532: text properties follow along text copied to other buffers)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 28 Jun 2010 18:41:02 +0000

Your bug report

#6532: text properties follow along text copied to other buffers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6532: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6532
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6532: text properties follow along text copied to other buffers
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 28 Jun 2010 21:42:00 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Tue, 29 Jun 2010 01:42:57 +0800
> Cc: 
> 
> Is it a bug or a feature that when I copy some glowing blue characters
> to another buffer, they stay glowing blue, instead of adopting the drab
> colors of other text that was typed into that buffer?

Feature.  If you don't like it, set yank-excluded-properties to t.  Or
type "M-o M-o" after yanking.

Subject: text properties follow along text copied to other buffers
From: [email-masked]
To: [email-masked]
Date: Tue, 29 Jun 2010 01:42:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Is it a bug or a feature that when I copy some glowing blue characters
to another buffer, they stay glowing blue, instead of adopting the drab
colors of other text that was typed into that buffer?

E.g., C-u C-x = shows this, even on text that was copied to a plain
text-mode buffer:

There are text properties here:
  balloon-help         nil
  face                 (w3m-anchor w3m-italic w3m-bold)
  rear-nonsticky       t
  w3m-anchor-sequence  23
  w3m-balloon-help     "http://www.youtube.com/watch?v=X9xWuvRaQ6g"
  w3m-href-anchor      "http://www.youtube.com/watch?v=X9xWuvRaQ6g"
  w3m-name-anchor      [Show]
  w3m-name-anchor2     ("tsf-oq" "logo" "gbe" "gbf" "gbn")
  w3m-safe-url-regexp  nil

Indeed, the only way I know to clean them up is
C-x h C-u <escape> | c a t <return>

emacs-version "24.0.50.1"